Subject: bug#18560: 24.4.50; vc commit truncates message to the first line

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Sep 2014 20:08:47 +0300

> Date: Thu, 25 Sep 2014 18:44:50 +0200
> From: Jarek Czekalski <[email-masked]>
> 
> 
> When I commit to svn using vc-next-action and provide a multiline
> message, it gets truncated. Only the first line lands in the log.
> 
> I checked through variable vc-command-message, that the message
> is passed through the -m switch, which seems a bit dirty for a multiline
> message.
> 
> For me a serious bug - after months of work I lost a lot of log
> messages.
> 
> This was already reported as part 2 in bug #1647: "vc-bzr commit bug on 
> win32".

We should use the -F switch instead.  Multi-line command lines on
Windows are tricky at best, and unworkable at worst.

Can you propose a patch for that?

Thanks.